=== modified file 'bzrlib/tests/blackbox/test_serve.py'
--- bzrlib/tests/blackbox/test_serve.py	2012-03-06 17:17:27 +0000
+++ bzrlib/tests/blackbox/test_serve.py	2012-03-21 13:58:39 +0000
@@ -354,7 +354,7 @@
         t = self.get_transport()
         t.mkdir('server-root')
         self.run_bzr_serve_then_func(
-            ['--listen', 'localhost', '--port', '0',
+            ['--listen', '127.0.0.1', '--port', '0',
              '--directory', t.local_abspath('server-root'),
              '--allow-writes'],
             func=self.when_server_started)

=== modified file 'bzrlib/tests/test_mergetools.py'
--- bzrlib/tests/test_mergetools.py	2012-02-28 04:58:14 +0000
+++ bzrlib/tests/test_mergetools.py	2012-03-21 10:48:58 +0000
@@ -15,7 +15,6 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
 import os
-import re
 import sys
 import tempfile
 
@@ -23,7 +22,6 @@
     mergetools,
     tests
 )
-from bzrlib.tests.features import backslashdir_feature
 
 
 class TestFilenameSubstitution(tests.TestCaseInTempDir):
@@ -39,7 +37,7 @@
              '-o',
              'test.txt'],
             args)
-        
+
     def test_spaces(self):
         cmd_list = ['kdiff3', '{base}', '{this}', '{other}', '-o', '{result}']
         args, tmpfile = mergetools._subst_filename(cmd_list,
@@ -107,7 +105,7 @@
             ('test.txt.THIS', 'this stuff'),
             ('test.txt.OTHER', 'other stuff'),
         ))
-        
+
     def test_invoke_expands_exe_path(self):
         self.overrideEnv('PATH', os.path.dirname(sys.executable))
         def dummy_invoker(exe, args, cleanup):
@@ -120,7 +118,7 @@
         self.assertEqual(0, retcode)
         self.assertEqual(sys.executable, self._exe)
         self.assertEqual(['test.txt'], self._args)
-        
+
     def test_success(self):
         def dummy_invoker(exe, args, cleanup):
             self._exe = exe
@@ -131,7 +129,7 @@
         self.assertEqual(0, retcode)
         self.assertEqual('tool', self._exe)
         self.assertEqual(['test.txt'], self._args)
-    
+
     def test_failure(self):
         def dummy_invoker(exe, args, cleanup):
             self._exe = exe
@@ -159,7 +157,7 @@
         self.assertEqual('tool', self._exe)
         self.assertPathDoesNotExist(self._args[0])
         self.assertFileEqual('temp stuff', 'test.txt')
-    
+
     def test_failure_tempfile(self):
         def dummy_invoker(exe, args, cleanup):
             self._exe = exe

